LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("Paladin Buffer", {
	type = "launcher",
	label = "Paladin Buffer",
	OnClick = function(_, msg)
		if msg == "LeftButton" then
		PaladinBuffer.modules.Config:ToggleAssignmentUI()
		elseif msg == "RightButton" then
		PaladinBuffer.modules.Config:OpenConfig()
		end
	end,
	icon = "Interface\\Icons\\INV_Hammer_01",
	OnTooltipShow = function(tooltip)
		if not tooltip or not tooltip.AddLine then return end
		tooltip:AddLine("Paladin Buffer")
		tooltip:AddLine("|cffeda55fClick|r to show blessing assignment",0,1,0)
		tooltip:AddLine("|cffeda55fRight-Click|r to open the options menu",0,1,0)
	end,
})
